package dev.fitko.fitconnect.api.domain.model.submission;

import dev.fitko.fitconnect.api.domain.model.metadata.attachment.AttachmentWithData;
import dev.fitko.fitconnect.api.domain.model.metadata.data.MimeType;
import lombok.Builder;
import lombok.Value;

import java.util.List;
import java.util.UUID;

@Value
@Builder
public class ReceivedSubmission {

    private UUID caseId;
    private UUID destinationId;

    private String data;
    private MimeType dataMimeType;
    private List<AttachmentWithData> attachments;

}
